## python-boltons 19.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/boltons.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/boltons.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/boltons"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/boltons"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-boltons 16.4.1

=== debian/changelog ===
python-boltons (16.4.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #837643).

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 14 Sep 2016 13:28:34 +0200

=== debian/control ===
Source: python-boltons
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-py,
               python3-py,
               python-pytest,
               python3-pytest,
Standards-Version: 3.9.8
Homepage: https://github.com/mahmoud/boltons
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-boltons.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-boltons.git

Package: python-boltons
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: set of pure-Python utilities (Python 2)
 Boltons is a set of over 160 BSD-licensed, pure-Python utilities in the same
 spirit as — and yet conspicuously missing from — the standard library,
 including:
 .
  - Atomic file saving, bolted on with fileutils
  - A highly-optimized OrderedMultiDict, in dictutils
  - Two types of PriorityQueue, in queueutils
  - Chunked and windowed iteration, in iterutils
  - Recursive data structure iteration and merging, with iterutils.remap
  - Exponential backoff functionality, including jitter, through
    iterutils.backoff
  - A full-featured TracebackInfo type, for representing stack traces, in
    tbutils
 .
 This package installs the library for Python 2. 

Package: python3-boltons
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: set of pure-Python utilities (Python 3)
 Boltons is a set of over 160 BSD-licensed, pure-Python utilities in the same
 spirit as — and yet conspicuously missing from — the standard library,
 including:
 .
  - Atomic file saving, bolted on with fileutils
  - A highly-optimized OrderedMultiDict, in dictutils
  - Two types of PriorityQueue, in queueutils
  - Chunked and windowed iteration, in iterutils
  - Recursive data structure iteration and merging, with iterutils.remap
  - Exponential backoff functionality, including jitter, through
    iterutils.backoff
  - A full-featured TracebackInfo type, for representing stack traces, in
    tbutils
 .
 This package installs the library for Python 3.

## python-boltons 17.1.0

=== debian/changelog ===
python-boltons (17.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat level to 10.
  * debian/control:
    - Bump Standards-Version to 4.0.0.
    - Depend on debhelper >= 10 instead of >= 9.
  * Bump copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 23 Sep 2017 18:07:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-setuptools,
@@ -13,7 +13,7 @@
                python3-py,
                python-pytest,
                python3-pytest,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/mahmoud/boltons
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-boltons.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-boltons.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=boltons

%:
	dh $@ --with python3,python2 --buildsystem=pybuild

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/([\d\.]*)\.tar\.gz/python-boltons-$1.tar.gz/" \
https://github.com/mahmoud/boltons/tags .*/([\d\.]*)\.tar\.gz

## python-boltons 18.0.0

=== debian/changelog ===
python-boltons (18.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/control: Set Vcs-* to salsa.debian.org
  * debian/copyright: Use https protocol in Format field
  * debian/control: Remove trailing whitespaces

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Bump compat level to 11.
  * debian/control:
    - Bump Standards-Version to 4.1.3.
    - Depend on debhelper >= 11 instead of >= 10.
    - Declare autopkgtest test suite.
  * Bump copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 25 Mar 2018 11:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
@@ -13,10 +13,11 @@
                python3-py,
                python-pytest,
                python3-pytest,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/mahmoud/boltons
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-boltons.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-boltons.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-boltons.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-boltons
 
 Package: python-boltons
 Architecture: all
@@ -39,7 +40,7 @@
   - A full-featured TracebackInfo type, for representing stack traces, in
     tbutils
  .
- This package installs the library for Python 2. 
+ This package installs the library for Python 2.
 
 Package: python3-boltons
 Architecture: all
@@ -62,4 +63,4 @@
   - A full-featured TracebackInfo type, for representing stack traces, in
     tbutils
  .
- This package installs the library for Python 3. 
+ This package installs the library for Python 3.

## python-boltons 18.0.1

=== debian/changelog ===
python-boltons (18.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 18.0.1
  * Import upstream patch for Python 3.7 (Closes: #912117)
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Jan 2019 14:44:26 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-py,
                python-pytest,
                python3-pytest,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/mahmoud/boltons
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-boltons.git

## python-boltons 19.1.0

=== debian/changelog ===
python-boltons (19.1.0-3) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Pull upstream fixes for py3.9 (Closes: #973099)
  * Fix with cme
  * Bump Watch file standard to 4

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 16 Dec 2020 02:37:38 +0530

python-boltons (19.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 14:11:49 +0200

python-boltons (19.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Bump copyright years.
  * Remove patches/compat-with-python3.7.patch, applied in 19.0.0.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 21 Jul 2019 11:14:16 -0300

=== debian/control ===
Source: python-boltons
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-py,
               python3-pytest
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-boltons
Vcs-Git: https://salsa.debian.org/python-team/packages/python-boltons.git
Homepage: https://github.com/mahmoud/boltons
Rules-Requires-Root: no

Package: python3-boltons
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: set of pure-Python utilities (Python 3)
 Boltons is a set of over 160 BSD-licensed, pure-Python utilities in the same
 spirit as — and yet conspicuously missing from — the standard library,
 including:
 .
  - Atomic file saving, bolted on with fileutils
  - A highly-optimized OrderedMultiDict, in dictutils
  - Two types of PriorityQueue, in queueutils
  - Chunked and windowed iteration, in iterutils
  - Recursive data structure iteration and merging, with iterutils.remap
  - Exponential backoff functionality, including jitter, through
    iterutils.backoff
  - A full-featured TracebackInfo type, for representing stack traces, in
    tbutils
 .
 This package installs the library for Python 3.

## python-boltons 21.0.0

=== debian/changelog ===
python-boltons (21.0.0-2) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.11 support. Closes: #1025023

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Dec 2022 10:42:46 -0400

python-boltons (21.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 21.0.0
  * Drop py3.9 compatible patch, add py3.10 compatible patch. Closes: #1002347
  * Update Standards-Version to 4.6.0.
  * Ignore .egg-info files. Builds twice in a row.
  * d/copyright: Update years.
  * Remove recommends and suggests field, no packages listed.
  * Add upstream testsuite as autopkgtest.
  * Remove autopkgtest-pkg-python, redundant when testing with upstream
    testsuite.
  * Update long description, boltons contains more utilities.
  * Remove python3-py as dependency, no longer needed.
  * Add salsa CI

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 28 Dec 2021 09:01:56 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-py,
                python3-pytest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-boltons
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-boltons.git
 Homepage: https://github.com/mahmoud/boltons
@@ -20,10 +18,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: set of pure-Python utilities (Python 3)
- Boltons is a set of over 160 BSD-licensed, pure-Python utilities in the same
+ Boltons is a set of over 230 BSD-licensed, pure-Python utilities in the same
  spirit as — and yet conspicuously missing from — the standard library,
  including:
  .

## python-boltons 23.0.0

=== debian/changelog ===
python-boltons (23.0.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - New uploader and remove DD emeritus Hugo Lefeuvre. (Closes: #1050260)
      NOTE: Thanks Hugo for your contribution with this package!
    - Bump Standards-Version to 4.6.2, no changes needed.
  * d/copyright:
    - Add myself.
    - Update upstream year.
  * Drop d/patches applied by upstream:
    - d/p/address-ecoutils-import-issue-fixes-294.patch reported by Kevin
      Deldycke in https://github.com/mahmoud/boltons/issues/294.
    - d/p/python3.11.patch reported by Stefano Rivera in
      https://github.com/mahmoud/boltons/pull/323.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Thu, 09 Nov 2023 19:52:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-boltons
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
+Uploaders: Leandro Cunha <leandrocunha016@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-boltons
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-boltons.git
 Homepage: https://github.com/mahmoud/boltons

## python-boltons 24.0.0

=== debian/changelog ===
python-boltons (24.0.0-1) unstable; urgency=medium

  * New upstream version.
    + Python 3.12 transition: Added Python 3.12 support.
    + Fix [dictutils.OneToOne][dictutils.OneToOne]'s `update()` behavior with
      empty iterables.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Fri, 05 Apr 2024 13:01:55 -0300

python-boltons (23.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Wed, 21 Feb 2024 23:24:47 -0300

## python-boltons 24.1.0

=== debian/changelog ===
python-boltons (24.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Tentative Python 3.13 support (closes: #1082199).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 00:23:19 +0000

## python-boltons 25.0.0

=== debian/changelog ===
python-boltons (25.0.0-1) unstable; urgency=medium

  [ Leandro Cunha ]
  * New upstream version 25.0.0
    + Improve Python 3.13 support
  * d/control:
    - Add package pybuild-plugin-pyproject in build-deps
    - Add package flit in build-deps
    - Bump Standards-Version to 4.7.0

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Feb 2025 13:56:50 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-pytest
-Standards-Version: 4.6.2
+               python3-pytest,
+               pybuild-plugin-pyproject,
+               flit
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-boltons
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-boltons.git
 Homepage: https://github.com/mahmoud/boltons

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=boltons

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-boltons,
         python3-pytest,

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/([\d\.]*)\.tar\.gz/python-boltons-$1.tar.gz/" \
https://github.com/mahmoud/boltons/tags .*/([\d\.]*)\.tar\.gz
